Bug 1147072 - ikev1 aggr mode connection fails after libreswan upgrade
Summary: ikev1 aggr mode connection fails after libreswan upgrade
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreswan
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Wouters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-26 19:22 UTC by Paul Wouters
Modified: 2014-11-24 21:19 UTC (History)
1 user (show)

Fixed In Version: libreswan-3.12-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-07 02:30:30 UTC


Attachments (Terms of Use)

Description Paul Wouters 2014-09-26 19:22:59 UTC
Description of problem:

3.10 added modp2048 to the default list, causing ikev1 aggr mode to use 2048 instead of 1536. This fails with common (yet old) VPN servers that do not accept or support 2048.

For ikev1 aggr mode, it should try 1536 first if no modp group is specifically configured.

Comment 1 Fedora Update System 2014-10-24 01:53:15 UTC
libreswan-3.11-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/libreswan-3.11-1.el6

Comment 2 Fedora Update System 2014-10-24 01:54:49 UTC
libreswan-3.11-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libreswan-3.11-1.fc21

Comment 3 Fedora Update System 2014-10-24 01:58:53 UTC
libreswan-3.11-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libreswan-3.11-1.fc20

Comment 4 Fedora Update System 2014-10-24 01:59:31 UTC
libreswan-3.11-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libreswan-3.11-1.fc19

Comment 5 Fedora Update System 2014-10-27 08:16:16 UTC
Package libreswan-3.11-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreswan-3.11-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-13597/libreswan-3.11-1.fc21
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-11-07 02:30:30 UTC
libreswan-3.11-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-11-07 02:34:28 UTC
libreswan-3.11-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-11-07 06:12:04 UTC
libreswan-3.12-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/libreswan-3.12-1.el6

Comment 9 Fedora Update System 2014-11-10 06:35:23 UTC
libreswan-3.11-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2014-11-24 21:19:18 UTC
libreswan-3.12-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.